Bug 60911 - BUG in multipath driver
BUG in multipath driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-08 16:54 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-08 16:54:21 EST
Was testing the multipath driver. IO stopped, and the following BUG was in the message logs.
I was using /dev/md0. The kernel is tainted because I am using a qla2x00 driver from qlogoc. The version info is 
this was just a basic functionality test. We don't need this for production use as of now.

QLogic PCI to Fibre Channel Host Adapter for ISP2100/ISP2200/ISP2300:
        Firmware version:  3.00.36, Driver version 4.46.12b

[root@dilbert /stress]# cat /proc/mdstat
Personalities : [multipath]
read_ahead 1024 sectors
md2 : active multipath sdi1[0] sde1[1]
      10485632 blocks [1/1] [U]

md1 : active multipath sdg1[0] sdc1[1]
      10485632 blocks [1/1] [U]

md0 : active multipath sdf1[1](F) sdb1[0]
      83883264 blocks [1/1] [U]

unused devices: <none>



SCSI disk error : host 2 channel 0 id 0 lun 0 return code = 27010000
 I/O error: dev 08:51, sector 1690104
multipath: IO failure on sdf1, disabling IO path.
        Operation continuing on 0 IO paths.
md: bug in file md.c, line 3330

md:     **********************************
md:     * <COMPLETE RAID STATE PRINTOUT> *
md:     **********************************
md2: <sdi1><sde1> array superblock:
md:  SB: (V:0.90.0) ID:<616efc71.59be1282.e7a45b7c.e1a0ae65> CT:3c892ec2
md:     L-4 S10485632 ND:2 RD:1 md2 LO:0 CS:4096
------------[ cut here ]------------
kernel BUG at multipath.c:385!
md:     UT:3c892ec2 ST:0 AD:1 WD:2 FD:0 SD:1 CSUM:6ac6a7e7 E:00000001
invalid operand: 0000
     D  0:  DISK<N:0,sdi1(8,129),R:0,S:6>
     D  1:  DISK<N:1,sde1(8,65),R:1,S:0>
md:     THIS:  DISK<N:1,sdi1(8,129),R:1,S:6>
md: rdev sdi1: O:sdi1, SZ:10485632 F:0 DN:0 md: rdev superblock:
md:  SB: (V:0.90.0) ID:<616efc71.59be1282.e7a45b7c.e1a0ae65> CT:3c892ec2
md:     L-4 S10485632 ND:2 RD:2 md2 LO:0 CS:4096
md:     UT:00000000 ST:0 AD:2 WD:2 FD:0 SD:0 CSUM:6ac6a7e7 E:00000000
     D  0:  DISK<N:0,sde1(8,65),R:0,S:6>
     D  1:  DISK<N:1,sdi1(8,129),R:1,S:6>
md:     THIS:  DISK<N:1,sdi1(8,129),R:1,S:6>
md: rdev sde1: O:sde1, SZ:10485632 F:0 DN:1 md: rdev superblock:
md:  SB: (V:0.90.0) ID:<616efc71.59be1282.e7a45b7c.e1a0ae65> CT:3c892ec2
md:     L-4 S10485632 ND:2 RD:1 md2 LO:0 CS:4096
md:     UT:3c892ec2 ST:0 AD:1 WD:2 FD:0 SD:1 CSUM:a74fd6c1 E:00000001
     D  0:  DISK<N:0,sdi1(8,129),R:0,S:6>
     D  1:  DISK<N:1,sde1(8,65),R:1,S:0>
md:     THIS:  DISK<N:1,sde1(8,65),R:1,S:0>
md1: <sdg1><sdc1> array superblock:
md:  SB: (V:0.90.0) ID:<afa475b0.d946c8ba.5434025e.85e7da38> CT:3c892ec1
md:     L-4 S10485632 ND:2 RD:1 md1 LO:0 CS:4096
md:     UT:3c892ec1 ST:0 AD:1 WD:2 FD:0 SD:1 CSUM:495ba9b1 E:00000001
     D  0:  DISK<N:0,sdg1(8,97),R:0,S:6>
     D  1:  DISK<N:1,sdc1(8,33),R:1,S:0>
md:     THIS:  DISK<N:1,sdg1(8,97),R:1,S:6>
md: rdev sdg1: O:sdg1, SZ:10485632 F:0 DN:0 md: rdev superblock:
md:  SB: (V:0.90.0) ID:<afa475b0.d946c8ba.5434025e.85e7da38> CT:3c892ec1
md:     L-4 S10485632 ND:2 RD:2 md1 LO:0 CS:4096
md:     UT:00000000 ST:0 AD:2 WD:2 FD:0 SD:0 CSUM:495ba9b1 E:00000000
     D  0:  DISK<N:0,sdc1(8,33),R:0,S:6>
     D  1:  DISK<N:1,sdg1(8,97),R:1,S:6>
md:     THIS:  DISK<N:1,sdg1(8,97),R:1,S:6>
md: rdev sdc1: O:sdc1, SZ:10485632 F:0 DN:1 md: rdev superblock:
CPU:     (V:0.90  ) ID:<afa475b0.d946c8ba.5434025e.85e7da38> CT:3c892ec1
CPU:    6
EIP:    0010:[<f88bc6dd>]    Tainted: P
EFLAGS: 00010286
EIP is at multipath_end_request [multipath] 0xad
eax: 0000001f   ebx: 00000000   ecx: c02dc464   edx: 00008cb6
esi: e9209000   edi: c16a97c0   ebp: eaab5540   esp: c3f63ea8
ds: 0018   es: 0018   ss: 0018
Process bdflush (pid: 13, stackpage=c3f63000)
Stack: f88be470 00000181 c16a97d8 f88bc857 e9209000 f6a4d048 c16a97c0 00000400
       00000000 md:     L-4 S10485632 ND:2 RD:1 md1 LO:0 CS:4096
md:     UT:3c892ec1 ST:0 AD:1 WD:2 FD:0 SD:1 CSUM:85e4d88a E:00000001
00000000 00000008 00000020 f68b4e40 00000006 00000000 00000900
       eaab5540 00000008 04fff500 c01c36f7 e7f560a0 00000001 eaab5540 c3fcff10
Call Trace:   f88be470>] multipath_end_request [multipath] 0x1e40
[<f88bc857>] multipath_end_request [multipath] 0x227
 DISK<N:0,sdg1(8,97),R:0,S:6>
[<c01c36f7>] md_make_request [kernel] 0x47
     D  1:  DISK<N:1,sdc1(8,33),R:1,S:0>
md:     THIS: [<ISK<N:1,sdc1(8,33),R:1,S:0>
[<c022fcce>] call_call_function_interrupt [kernel] 0x5
[<c018f21a>] generic_make_request [kernel] 0xfa
[<c0140b8b>] __refile_buffer [kernel] 0x5b
md0: <sdf1><sdb1>[<c018f27f>] submit_bh [kernel] 0x4f
[<c018f4d7>] ll_rw_block [kernel] 0x237
 array superblock:
md:  SB: (V:0.90.0) ID:<ae20f97d.1d2ea9b4.773254fa.8f3f19b7> CT:3c892eb8
md:     L-4 S83883264 ND:2 RD:1 md0 LO:0 CS:4096
md:     UT:3c892eb8 ST:0 AD:0 WD:1 FD:1 SD:1 CSUM:bc7595d8 E:00000001
     D  0:  DISK<N:0,sdf1(8,81),R:0,S:1>
     D  1:  DISK<N:1,sdb1(8,17),R:1,S:0>
md:     THIS:  DISK<N:1,sdf1(8,81),R:1,S:6>
md: rdev sdf1: O:sdf1, SZ:83883264 F:0 DN:0 md: rdev superblock:
[<c022f370>] call_do_IRQ [kernel] 0x5
[<c0143100>] flush_dirty_buffers [kernel] 0xa0
md:  SB: (V:0.90.0) ID:<ae20f97d.1d2ea9b4.773254fa.8f3f19b7> CT:3c892eb8
[<c0143376>] bdflush [kernel] 0x86
[<c0105000>] stext [kernel] 0x0
[<c0105000>] stext [kernel] 0x0
[<c0105866>] kernel_thread [kernel] 0x26
[<c01432f0>] bdflush [kernel] 0x0
md:     L-4 S83883264 ND:2 RD:2 md0 LO:0 CS:4096
md:     UT:00000000 ST:0 AD:2 WD:2 FD:0 SD:0 CSUM:bc7595d8 E:00000000
     D  0:  DISK<N:0,sdb1(8,17),R:0,S:6>
     D  1:  DISK<N:1,sdf1(8,81),R:1,S:6>
md:     THIS:  DISK<N:1,sdf1(8,81),R:1,S:6>
md: rdev sdb1: O:sdb1, SZ:83883264 F:0 DN:1

Code: 0f 0b 59 5b 31 c0 5b c3 8d 74 26 00 8d md: rdev superblock:
md:  SB: (V:0.90.0) ID:<ae20f97d.1d2ea9b4.773254fa.8f3f19b7> CT:3c892eb8
bc 27 00 00 00 00 55
 md:     L-4 S83883264 ND:2 RD:1 md0 LO:0 CS:4096
md:     UT:3c892eb8 ST:0 AD:1 WD:2 FD:0 SD:1 CSUM:f8fec4a8 E:00000001
     D  0:  DISK<N:0,sdf1(8,81),R:0,S:6>
     D  1:  DISK<N:1,sdb1(8,17),R:1,S:0>
md:     THIS:  DISK<N:1,sdb1(8,17),R:1,S:0>
md:     **********************************

MULTIPATH confprintout:
 --- wd:0 rd:1 nd:2
 disk0, s:0, o:0, n:0 rd:0 us:1 dev:sdf1
 disk1, s:1, o:0, n:1 rd:1 us:1 dev:sdb1
MULTIPATH conf printout:
 --- wd:0 rd:1 nd:2
 disk0, s:0, o:0, n:0 rd:0 us:1 dev:sdf1
 disk1, s:1, o:1, n:1 rd:1 us:1 dev:sdb1
got DISKOP_SPARE_WRITE err: 0. (spare_faulty(): 0)
MULTIPATH conf printout:
 --- wd:0 rd:1 nd:2
 disk0, s:0, o:0, n:0 rd:0 us:1 dev:sdf1
 disk1, s:1, o:1, n:1 rd:1 us:1 dev:sdb1
MULTIPATH conf printout:
 --- wd:1 rd:1 nd:2
 disk0, s:0, o:1, n:0 rd:0 us:1 dev:sdb1
 disk1, s:0, o:0, n:1 rd:1 us:1 dev:sdf1
multipath: sdf1: rescheduling block 1690104
md: recovery thread got woken up ...
md: recovery thread finished ...
dirty sb detected, updating.
md: updating md0 RAID superblock on device
SCSI disk error : host 2 channel 0 id 0 lun 0 return code = 27010000
 I/O error: dev 08:51, sector 1690232
Comment 1 Bugzilla owner 2004-09-30 11:39:25 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.